<?php

namespace App\Modules\DefinedService\TypeDefinedService\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface TypeDefinedServiceRepository
{
    public function insert(TypeDefinedService $model): IdTypeDefinedService;
    public function update(TypeDefinedService $model);
    public function find(StorageCriteria $action): TypeDefinedService;
    public function search(StorageCriteria $action): array;
}
